コンテンツに移動

よくアクセスするページ

最近アクセスしたページ

navigation
added in API level 14

android.security

Provides access to a few facilities of the Android security subsystems.

Interfaces

KeyChainAliasCallback The KeyChainAliasCallback is the callback for choosePrivateKeyAlias(Activity, KeyChainAliasCallback, String[], Principal[], Uri, String)

Classes

AttestedKeyPair The AttestedKeyPair class contains a KeyPair instance of keys generated by Keystore and owned by KeyChain, as well as an attestation record for the key. 
ConfirmationCallback Callback class used when signaling that a prompt is no longer being presented. 
ConfirmationDialog Class used for displaying confirmation prompts. 
ConfirmationDialog.Builder A builder that collects arguments, to be shown on the system-provided confirmation dialog. 
KeyChain The KeyChain class provides access to private keys and their corresponding certificate chains in credential storage. 
KeyPairGeneratorSpec This class was deprecated in API level 23. Use KeyGenParameterSpec instead.  
KeyPairGeneratorSpec.Builder This class was deprecated in API level 23. Use KeyGenParameterSpec.Builder instead.  
KeyStoreParameter This class was deprecated in API level 23. Use KeyProtection instead.  
KeyStoreParameter.Builder This class was deprecated in API level 23. Use KeyProtection.Builder instead.  
NetworkSecurityPolicy Network security policy. 

Exceptions

ConfirmationAlreadyPresentingException This exception is thrown when presenting a prompt fails because another prompt is already being presented. 
ConfirmationNotAvailableException This exception is thrown when presenting a prompt fails because the the environment lacks facilities for showing confirmations. 
KeyChainException Thrown on problems accessing the KeyChain
このサイトでは、ユーザーが選択したサイトの言語と表示設定を保存する目的で Cookie を使用しています。

Android デベロッパー向けの最新情報やヒントを入手して、Google Play での成功を手に入れましょう。

* 必須

送信しました

WeChat で Google Developers をフォローする

このサイトをで表示しますか?

ページの表示言語としてを選択しましたが、このサイトの言語はに設定されています。

言語設定を変更してこのサイトをで表示しますか?言語設定を変更する場合は、各ページの下にある言語メニューを使用してください。

このクラスには、API レベル 以上が必要です。

API レベル が選択されているため、このドキュメントは非表示になっています。左のナビゲーションの上にあるセレクタを使って、ドキュメントの API レベルを変更できます。

アプリに必要な API レベルを指定する方法について、詳しくは異なるプラットフォーム バージョンのサポートをご覧ください。

Take a short survey?
Help us improve the Android developer experience. (April 2018 — Developer Survey)